%define major		0
%define libname		%mklibname omemo %{major}
%define develname	%mklibname omemo -d

Name:		libomemo
Version:	0.8.1
Release:	%mkrel 1
Summary:	OMEMO implementation in plain C
License:	MIT
Group:		System/Libraries
URL:		https://github.com/gkdr/libomemo
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(cmocka)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(mxml)
BuildRequires:	pkgconfig(sqlite3)

%description
Implements OMEMO (XEP-0384) in plain C.

Input and output are XML strings, so it does not force you
to use a certain XML lib. While the actual protocol
functions do not depend on any kind of storage, it comes
with a basic implementation in SQLite.

#------------------------------------------------

%package -n	%{libname}
Summary:	OMEMO implementation in plain C
Group:		System/Libraries

%description -n	%{libname}
Implements OMEMO (XEP-0384) in plain C.

Input and output are XML strings, so it does not force you
to use a certain XML lib. While the actual protocol
functions do not depend on any kind of storage, it comes
with a basic implementation in SQLite.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	omemo-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake \
    -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON \
    -DOMEMO_INSTALL:BOOL=ON \
    -DOMEMO_WITH_TESTS:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc CHANGELOG.md README.md
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG.md README.md
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed May 24 2023 daviddavid <daviddavid> 0.8.1-1.mga9
+ Revision: 1957893
- initial package libomemo (needed for purple-lurch)

